%define name   lcrzo 
%define version 4.16.0
%define release 2mdk
%define lib_name_orig %{name}
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Name:           lib%{name}
Summary: 	Lcrzo is a network library, for network administrators and network hackers
Group:		Networking/Other
Version:        %{version}
Release:        %{release}
License: 	LGPL
URL:		http://www.laurentconstantin.com/en/lcrzo/
#Requires: 	
Provides:	liblcrzo
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}
Packager:	Antoine Ginies <aginies@mandrakesoft.com>
Source:         %{name}-%{version}.tar.bz2
#Source1:
Patch0:		liblcrzo-genemake.patch.bz2

%package	-n %{lib_name}-devel
Summary:	Lcrzo devel package 
Group:		Development/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}

%package        -n %{lib_name}-static-devel
Summary:        Lcrzo static library
Group:          Development/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}

%description
Lcrzo is a network library, for network administrators and network
hackers. Its objective is to easily create network programs. This library
provides network functionnalities for Ethernet, IP, UDP, TCP, ICMP, ARP
and RARP protocols. It supports spoofing, sniffing, client and server
creation. Furthermore, lcrzo contains high level functions dealing with
data storage and handling. Using all these functions, you can quickly
create a network test program.

%description -n %{lib_name}-devel
Lcrzo is a network library, for network administrators and network
hackers. Its objective is to easily create network programs. This library 
provides network functionnalities for Ethernet, IP, UDP, TCP, ICMP, ARP 
and RARP protocols. It supports spoofing, sniffing, client and server
creation. Furthermore, lcrzo contains high level functions dealing with
data storage and handling. Using all these functions, you can quickly
create a network test program.

%description -n %{lib_name}-static-devel
Lcrzo is a network library, for network administrators and network
hackers. Its objective is to easily create network programs. This library
provides network functionnalities for Ethernet, IP, UDP, TCP, ICMP, ARP
and RARP protocols. It supports spoofing, sniffing, client and server
creation. Furthermore, lcrzo contains high level functions dealing with
data storage and handling. Using all these functions, you can quickly
create a network test program.


%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
cd ${RPM_BUILD_DIR}/%{name}-%{version}/src
./genemake
make
make liblcrzo.so

%install
mkdir -p %{buildroot}%{_libdir}/
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}%{_includedir}

mv -f ${RPM_BUILD_DIR}/%{name}-%{version}/doc/man %{buildroot}%{_mandir}/man3
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/lcrzo-config %{buildroot}%{_bindir}/lcrzo-config
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/liblcrzo4.so.16 %{buildroot}%{_libdir}/liblcrzo4.so.16
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/liblcrzo4.so %{buildroot}%{_libdir}/liblcrzo4.so
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/liblcrzo.so %{buildroot}%{_libdir}/liblcrzo.so
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/liblcrzo.a %{buildroot}%{_libdir}/liblcrzo.a

cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/lcrzo.h %{buildroot}%{_includedir}
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/lcrzo_defs.h %{buildroot}%{_includedir} 
cp -av ${RPM_BUILD_DIR}/%{name}-%{version}/src/lcrzo_debugdefs.h %{buildroot}%{_includedir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*
%attr(644,root,root) %{_libdir}/*.so
%attr(644,root,root) %{_libdir}/liblcrzo4.so.16
%attr(755,root,root) %{_bindir}/lcrzo-config

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%doc doc/*
%attr(644,root,root) %{_libdir}/*.a

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/*
%attr(644,root,root) %{_includedir}/*
%attr(644,root,root) %{_mandir}/man3/*


%changelog
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 4.16.0-2mdk
- rebuild for new glibc
* Wed Oct 23 2002 Antoine Ginies <aginies@mandrakesoft.com> 4.16.0-1mdk
- first release for mandrakesoft
